<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
Cursor..::.MoveNextDuplicateMultipleKey Method
Cursor Class See Also Send Feedback

If the next key/data pair of the database is a duplicate data record for the current key/data pair, move the cursor to the next key/data pair in the database, and store that pair and as many duplicate data items that can fit in a buffer the size of one database page in CurrentMultipleKey. MoveNextDuplicateMultipleKey returns false if the next key/data pair of the database is not a duplicate data record for the current key/data pair.

Namespace: BerkeleyDB
Assembly: libdb_dotnet62 (in libdb_dotnet62.dll) Version: 6.2.32.0

# Syntax

C#

    public bool MoveNextDuplicateMultipleKey()

Visual Basic (Declaration)

    Public Function MoveNextDuplicateMultipleKey As Boolean

Visual C++

    public:
    bool MoveNextDuplicateMultipleKey()

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# See Also

Cursor Class
MoveNextDuplicateMultipleKey Overload
BerkeleyDB Namespace